<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstVariablePosition Method (IEdmVariableMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableMgr5 Interface : GetFirstVariablePosition Method (IEdmVariableMgr5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the variables in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstVariablePosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstVariablePosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstVariablePosition();

#### Return Value

IEdmPos5; position of the first variable in the enumeration

# Example

Find Data Cards with Description Variable (C#)
Find Data Cards with Description Variable (VB.NET)

# Remarks

After calling this method, pass the returned position of the first variable to IEdmVariableMgr5::GetNextVariable to get the first variable in this list. Then call IEdmVariableMgr5::GetNextVariable repeatedly to get the rest of the variables.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVariableMgr5 Interface
IEdmVariableMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2